###############################################################################
# Copyright (c) 2003, 2004 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Common Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/cpl-v10.html
# 
# Contributors:
#     IBM Corporation - initial API and implementation
###############################################################################
STR_OPEN_UML2SD_NODE_INTERACTION_ST_ACTION=UML2 Host Interactions
STR_OPEN_UML2SD_PROCESS_INTERACTION_ST_ACTION=UML2 Process Interactions
STR_OPEN_UML2SD_AGENT_INTERACTION_ST_ACTION=UML2 Agent Interactions
STR_OPEN_UML2SD_THREAD_INTERACTION_ST_ACTION=UML2 Thread Interactions
STR_OPEN_UML2SD_OBJECT_INTERACTION_ST_ACTION=UML2 Object Interactions
STR_OPEN_UML2SD_CLASS_INTERACTION_ST_ACTION=UML2 Class Interactions

STR_UML2SD_NODE_INTERACTION=Host Interactions
STR_UML2SD_PROCESS_INTERACTION=Process Interactions
STR_UML2SD_AGENT_INTERACTION=Agent Interactions
STR_UML2SD_THREAD_INTERACTION=Thread Interactions
STR_UML2SD_OBJECT_INTERACTION=Object Interactions
STR_UML2SD_CLASS_INTERACTION=Class Interactions

STR_NODE=Host
STR_PROCESS=Process
STR_AGENT=Agent
STR_THREAD=Thread
STR_CLASS=Class
STR_OBJECT=Object

STR_NO_MONITOR_HERE=No monitor here
STR_NO_PROCESSES_HERE=No processes here
STR_NO_AGENTS_HERE=No agents here
STR_NO_PROCESS_HERE=No process here

TASK_NAME_CREATING_SD=Creating Sequence Diagram...
TASK_NAME_UPDATING_SD=Updating Sequence Diagram...

STR_SEVERAL_PROCESSES=Several processes displayed
STR_NO_DATA_AVAILABLE=No data is available for display

STR_COLLAPSED_PROCESS=Collapsed Processes
STR_COLLAPSED_LIFELINE=Collapsed Objects/Classes

STR_OPEN_UML2SD_TRACE_INTERACTION_ERROR_=IWAT0063E Error opening the UML2 Trace Interactions view.
STR_PAGES=pages
STR_UML2SD_FILTER_LIFELINE=Filter such class or object
STR_UML2SD_COLLAPSE_LIFELINE=Collapse selected classes or objects
STR_UML2SD_FILTER_MESSAGE=Filter such method call
STR_UML2SD_EXPAND_LIFELINE=Expand selected lifeline
STR_UML2SD_COLLAPSE_MESSAGE=Collapse invoked methods
STR_UML2SD_EXPAND_MESSAGE=Expand invoked methods

PAGES_COUNT_NO_ITEMS=method invocations and returns
PAGES_COUNT_ONE_ITEM=method invocation and return
PAGES_COUNT_SEVERAL_ITEMS=method invocations and returns

STR_TIME_UNIT_IS_SECOND=seconds

STR_TRACE_INTERAC_PAGE=Trace interactions
PAGE_SIZE_NOTE=Traces with large amount of method calls can be divided into pages with sequence diagram page navigation.
STR_PAGE_SIZE=Page size (in method invocations and returns):
EMPTY_FIELD_MSG=Page size cannot be empty.
INVALID_PAGE_SIZE=Invalid number of pages: {0} (should be {1} <= value <= {2}).

SHOW_EXEC_STAT = Show Execution Table
